Subject: Re: 2.4.22 Kernel Build Error

From: Øyvind Kristiansen <[email-masked]> (by way ofØyvind Kristiansen <[email-masked]>)
Date: Sun, 18 Dec 2005 14:40:29 +0100

Hi!
Don't expect the Linux/MIPS port to be too stable. We have used it for some
time, and personally I would not recommend most of the 2.4.x kernels. With
the latest kernels, it seem they have improved greatly. 

Best Regards,
Øyvind Kristiansen

On Sunday 18 December 2005 06:48, you wrote:
> I repated the build process with the kernel versions 2.4.25 and 2.4.27
> and I got the same errors. I downloaded these kernels from
> linux-mips.org through CVS.
>
> Can someone please explain me the mistake that I seem to be
> committing? I'm a newbie to Linux/MIPS arena and so find these errors
> very confusing.
>
> Thanks,
> Shireesh
>
> > On 12/16/05, Shireesh Annam <[email-masked]> wrote:
> > > I'm now using the SDE-Linux 5.03.06 for the big-endian target. I
> > > started the 2.4.22 kernel build process, but soon I get the following
> > > compile error.
> > >
> > > **********
> > > make[2]: Entering directory `/root/linux/arch/mips/mm'
> > > mips-linux-gcc -D__KERNEL__ -I/root/linux/include -Wall
> > > -Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing
> > > -fno-common -fomit-frame-pointer -I /root/linux/include/asm/gcc -G 0
> > > -mno-abicalls -fno-pic -pipe  -mabi=32 -mcpu=r4600 -mips2 -Wa,--trap
> > > -nostdinc -iwithprefix include -DKBUILD_BASENAME=sc_ip22  -c -o
> > > sc-ip22.o sc-ip22.c
> > > {standard input}: Assembler messages:
> > > {standard input}:126: Error: Number (0x9000000080000000) larger than 32
> > > bits {standard input}:148: Error: Number (0x9000000080000000) larger
> > > than 32 bits {standard input}:168: Error: Number (0x9000000080000000)
> > > larger than 32 bits make[2]: *** [sc-ip22.o] Error 1
> > > make[2]: Leaving directory `/root/linux/arch/mips/mm'
> > > make[1]: *** [first_rule] Error 2
> > > make[1]: Leaving directory `/root/linux/arch/mips/mm'
> > > make: *** [_dir_arch/mips/mm] Error 2
> > >
> > > **********
> > >
> > > I'm not able to understand these error messages. Could someone throiw
> > > some light on this issue? Is this because of the toolchain that I'm
> > > using for building the kernel?
> > >
> > > Thanks,
> > > Shireesh
> > >
> > > On 12/15/05, Ralf Baechle <[email-masked]> wrote:
> > > > You're trying to build a stoneage kernel with a much newer compiler -
> > > > SDE 6 uses gcc 3.4 - which doesn't work.  Use an older compiler such
> > > > as gcc <= 3.3.x.  SDE 5.x contains gcc 2.96 btw.
> > > >
> > > >   Ralf

--
Oyvind Kristiansen
R&D Engineer

Q-Free ASA
P.O.Box 3974 Leangen
7443 Trondheim
Norway

E-Mail: [email-masked]
WWW: http://www.q-free.com